DuplicatePackageIDException (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.exception

## Class DuplicatePackageIDException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - tv.amwa.maj.exception.DuplicateException
        - - tv.amwa.maj.exception.DuplicatePackageIDException

- All Implemented Interfaces:
    Serializable, MAJException, NewForMAJ

      public class DuplicatePackageIDException
      extends DuplicateException
      implements MAJException

  Thrown when an attempt is made to add essence or metadata to content storage when information with the same package id is already stored.

  Equivalent C result code: `AAFRESULT_DUPLICATE_MOBID 0x80120108`

  See Also:
    `ContentStorage`, `Preface`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuplicatePackageIDException()` Create a new duplicate package id exception with no message.
    `DuplicatePackageIDException(String msg)` Create a new duplicate package id exception with the given descriptive message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DuplicatePackageIDException

          public DuplicatePackageIDException(String msg)

      Create a new duplicate package id exception with the given descriptive message.

      Parameters:
        `msg` - Message describing the exception.

    - #### DuplicatePackageIDException

          public DuplicatePackageIDException()

      Create a new duplicate package id exception with no message.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.